cURL
curl --request PUT \
--url https://api.chartbrew.com/project/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"dashboardTitle": "<string>",
"description": "<string>",
"backgroundColor": "<string>",
"titleColor": "<string>",
"headerCode": "<string>",
"footerCode": "<string>",
"public": true,
"passwordProtected": true,
"timezone": "<string>",
"updateSchedule": {
"timezone": "Asia/Bangkok",
"frequency": "every_x_minutes",
"frequencyNumber": "1",
"time": {
"hour": 9,
"minute": 0,
"second": 0,
"millisecond": 0
}
}
}
'import requests
url = "https://api.chartbrew.com/project/{id}"
payload = {
"name": "<string>",
"dashboardTitle": "<string>",
"description": "<string>",
"backgroundColor": "<string>",
"titleColor": "<string>",
"headerCode": "<string>",
"footerCode": "<string>",
"public": True,
"passwordProtected": True,
"timezone": "<string>",
"updateSchedule": {
"timezone": "Asia/Bangkok",
"frequency": "every_x_minutes",
"frequencyNumber": "1",
"time": {
"hour": 9,
"minute": 0,
"second": 0,
"millisecond": 0
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
dashboardTitle: '<string>',
description: '<string>',
backgroundColor: '<string>',
titleColor: '<string>',
headerCode: '<string>',
footerCode: '<string>',
public: true,
passwordProtected: true,
timezone: '<string>',
updateSchedule: {
timezone: 'Asia/Bangkok',
frequency: 'every_x_minutes',
frequencyNumber: '1',
time: {hour: 9, minute: 0, second: 0, millisecond: 0}
}
})
};
fetch('https://api.chartbrew.com/project/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"team_id": 123,
"name": "<string>",
"brewName": "<string>",
"dashboardTitle": "<string>",
"description": "<string>",
"backgroundColor": "#103751",
"titleColor": "white",
"headerCode": "<string>",
"footerCode": "<string>",
"logo": "<string>",
"logoLink": "<string>",
"public": false,
"passwordProtected": false,
"timezone": "<string>",
"updateSchedule": {
"timezone": "Asia/Bangkok",
"frequency": "every_x_minutes",
"frequencyNumber": "1",
"time": {
"hour": 9,
"minute": 0,
"second": 0,
"millisecond": 0
}
},
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"Charts": [
{
"id": "<string>",
"name": "<string>",
"subType": "<string>",
"chartData": {},
"chartDataUpdated": "2023-11-07T05:31:56Z",
"project_id": "<string>",
"public": true,
"shareable": true,
"ChartDatasetConfigs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_id": 123,
"dataset_id": 123,
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"value": "<string>",
"displayValues": true
}
],
"formula": "<string>",
"datasetColor": "<string>",
"fillColor": "<string>",
"fill": false,
"multiFill": false,
"legend": "<string>",
"pointRadius": 123,
"excludedFields": [
"<string>"
],
"sort": "<string>",
"columnsOrder": [
"<string>"
],
"order": 0,
"maxRecords": 123,
"goal": 123,
"configuration": {
"variables": [
{
"name": "<string>",
"value": "<string>"
}
]
}
}
]
}
]
}Dashboards
Update a Dashboard
Update a Dashboard
PUT
/
project
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the dashboard
Body
application/json
Response
Updated dashboard
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I